<?php
require_once ("op5lic_drvif.php");
class op5lic_drv_op5xml implements op5lic_drvif {
	public function __construct($filename) {
		if (!file_exists($filename))
			throw new op5lic_skip_exception("License file not found");

		$license = @simplexml_load_file($filename);
		if (!$license)
			throw new op5lic_skip_exception(
				"Invalid license XML file (non-XML license?)");

		if (!in_array(((string) $license['verifier']), array('op5v1', 'op5v2')))
			throw new op5lic_invalid_exception("Error reading license content");

		throw new op5lic_skip_exception("This isn't really a license type, but a verifier tampering filter");
	}
	public function query(array $metrics = array(), $cur_time = false) {
		return array ('metrics' => array(),'messages' => array());
	}

	public function fetch_property($prop) {
		return false;
	}

	public function fetch_customer_info() {
		return array();
	}
}