<?php
class op5lic_drv_exception extends Exception {
	private $params;
	public function __construct($message, array $params = array()) {
		parent::__construct($message);
		$this->params = $params;
	}
	public function get_params() {
		return $this->params;
	}
}
class op5lic_skip_exception extends op5lic_drv_exception {}
class op5lic_invalid_exception extends op5lic_drv_exception {}
interface op5lic_drvif {
	public function fetch_property($prop);
	public function fetch_customer_info();
	public function query(array $metrics = array(), $cur_time = false);
}